OrcProto.PostScript (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.PostScript

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.orc.OrcProto.PostScript

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, OrcProto.PostScriptOrBuilder
  Enclosing class:
    OrcProto

      public static final class OrcProto.PostScript
      extends com.google.protobuf.GeneratedMessage
      implements OrcProto.PostScriptOrBuilder

  Protobuf type `orc.proto.PostScript`

       Serialized length must be less that 255 bytes

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrcProto.PostScript.Builder` Protobuf type `orc.proto.PostScript`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPRESSION_FIELD_NUMBER`
    `static int` | `COMPRESSIONBLOCKSIZE_FIELD_NUMBER`
    `static int` | `FOOTERLENGTH_FIELD_NUMBER`
    `static int` | `MAGIC_FIELD_NUMBER`
    `static int` | `METADATALENGTH_FIELD_NUMBER`
    `static com.google.protobuf.Parser<OrcProto.PostScript>` | `PARSER`
    `static int` | `VERSION_FIELD_NUMBER`
    `static int` | `WRITERVERSION_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.CompressionKind` | `getCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `long` | `getCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `static OrcProto.PostScript` | `getDefaultInstance()`
    `OrcProto.PostScript` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getFooterLength()` `optional uint64 footerLength = 1;`
    `String` | `getMagic()` `optional string magic = 8000;`
    `com.google.protobuf.ByteString` | `getMagicBytes()` `optional string magic = 8000;`
    `long` | `getMetadataLength()` `optional uint64 metadataLength = 5;`
    `com.google.protobuf.Parser<OrcProto.PostScript>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `getVersion(int index)` `repeated uint32 version = 4 [packed = true];`
    `int` | `getVersionCount()` `repeated uint32 version = 4 [packed = true];`
    `List<Integer>` | `getVersionList()` `repeated uint32 version = 4 [packed = true];`
    `int` | `getWriterVersion()` `optional uint32 writerVersion = 6;`
    `boolean` | `hasCompression()` `optional .orc.proto.CompressionKind compression = 2;`
    `boolean` | `hasCompressionBlockSize()` `optional uint64 compressionBlockSize = 3;`
    `boolean` | `hasFooterLength()` `optional uint64 footerLength = 1;`
    `boolean` | `hasMagic()` `optional string magic = 8000;`
    `boolean` | `hasMetadataLength()` `optional uint64 metadataLength = 5;`
    `boolean` | `hasWriterVersion()` `optional uint32 writerVersion = 6;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static OrcProto.PostScript.Builder` | `newBuilder()`
    `static OrcProto.PostScript.Builder` | `newBuilder(OrcProto.PostScript prototype)`
    `OrcProto.PostScript.Builder` | `newBuilderForType()`
    `protected OrcProto.PostScript.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static OrcProto.PostScript` | `parseDelimitedFrom(InputStream input)`
    `static OrcProto.PostScript` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.PostScript` | `parseFrom(byte[] data)`
    `static OrcProto.PostScript` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.PostScript` | `parseFrom(com.google.protobuf.ByteString data)`
    `static OrcProto.PostScript` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.PostScript` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static OrcProto.PostScript` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.PostScript` | `parseFrom(InputStream input)`
    `static OrcProto.PostScript` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.PostScript.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<OrcProto.PostScript> PARSER

    - #### FOOTERLENGTH_FIELD_NUMBER

          public static final int FOOTERLENGTH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### COMPRESSION_FIELD_NUMBER

          public static final int COMPRESSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### COMPRESSIONBLOCKSIZE_FIELD_NUMBER

          public static final int COMPRESSIONBLOCKSIZE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### VERSION_FIELD_NUMBER

          public static final int VERSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### METADATALENGTH_FIELD_NUMBER

          public static final int METADATALENGTH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### WRITERVERSION_FIELD_NUMBER

          public static final int WRITERVERSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MAGIC_FIELD_NUMBER

          public static final int MAGIC_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static OrcProto.PostScript getDefaultInstance()

    - #### getDefaultInstanceForType

          public OrcProto.PostScript getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<OrcProto.PostScript> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasFooterLength

          public boolean hasFooterLength()

      `optional uint64 footerLength = 1;`
      Specified by:
        `hasFooterLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### getFooterLength

          public long getFooterLength()

      `optional uint64 footerLength = 1;`
      Specified by:
        `getFooterLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### hasCompression

          public boolean hasCompression()

      `optional .orc.proto.CompressionKind compression = 2;`
      Specified by:
        `hasCompression` in interface `OrcProto.PostScriptOrBuilder`

    - #### getCompression

          public OrcProto.CompressionKind getCompression()

      `optional .orc.proto.CompressionKind compression = 2;`
      Specified by:
        `getCompression` in interface `OrcProto.PostScriptOrBuilder`

    - #### hasCompressionBlockSize

          public boolean hasCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`
      Specified by:
        `hasCompressionBlockSize` in interface `OrcProto.PostScriptOrBuilder`

    - #### getCompressionBlockSize

          public long getCompressionBlockSize()

      `optional uint64 compressionBlockSize = 3;`
      Specified by:
        `getCompressionBlockSize` in interface `OrcProto.PostScriptOrBuilder`

    - #### getVersionList

          public List<Integer> getVersionList()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersionList` in interface `OrcProto.PostScriptOrBuilder`

    - #### getVersionCount

          public int getVersionCount()

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersionCount` in interface `OrcProto.PostScriptOrBuilder`

    - #### getVersion

          public int getVersion(int index)

      `repeated uint32 version = 4 [packed = true];`

           the version of the file format
             [0, 11] = Hive 0.11
             [0, 12] = Hive 0.12

      Specified by:
        `getVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### hasMetadataLength

          public boolean hasMetadataLength()

      `optional uint64 metadataLength = 5;`
      Specified by:
        `hasMetadataLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMetadataLength

          public long getMetadataLength()

      `optional uint64 metadataLength = 5;`
      Specified by:
        `getMetadataLength` in interface `OrcProto.PostScriptOrBuilder`

    - #### hasWriterVersion

          public boolean hasWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

      Specified by:
        `hasWriterVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### getWriterVersion

          public int getWriterVersion()

      `optional uint32 writerVersion = 6;`

           Version of the writer:
             0 (or missing) = original
             1 = HIVE-8732 fixed
             2 = HIVE-4243 fixed
             3 = HIVE-12055 fixed
             4 = HIVE-13083 fixed

      Specified by:
        `getWriterVersion` in interface `OrcProto.PostScriptOrBuilder`

    - #### hasMagic

          public boolean hasMagic()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `hasMagic` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMagic

          public String getMagic()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `getMagic` in interface `OrcProto.PostScriptOrBuilder`

    - #### getMagicBytes

          public com.google.protobuf.ByteString getMagicBytes()

      `optional string magic = 8000;`

           Leave this last in the record

      Specified by:
        `getMagicBytes` in interface `OrcProto.PostScriptOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(com.google.protobuf.ByteString data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(com.google.protobuf.ByteString data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(byte[] data)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(byte[] data,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(InputStream input)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.PostScript parseDelimitedFrom(InputStream input)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.PostScript parseDelimitedFrom(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(com.google.protobuf.CodedInputStream input)
                                               throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.PostScript parseFrom(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static OrcProto.PostScript.Builder newBuilder()

    - #### newBuilderForType

          public OrcProto.PostScript.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static OrcProto.PostScript.Builder newBuilder(OrcProto.PostScript prototype)

    - #### toBuilder

          public OrcProto.PostScript.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected OrcProto.PostScript.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.